services:
  jenkins:
    container_name: ${CONTAINER_NAME}
    image: jenkins/jenkins:2.541.2-lts
    restart: always
    privileged: true
    user: root
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    volumes:
      - ./data:/var/jenkins_home
      - /var/run/docker.sock:/var/run/docker.sock
      - ${DOCKER_BINARY}:${DOCKER_BINARY}
    networks:
      - opsmind-network
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
